com.microfocus.awm.control.toolexecution

## Class ToolOutputParameter

- java.lang.Object
- - com.microfocus.awm.control.toolexecution.internal.AbstractToolParameter
  - - com.microfocus.awm.control.toolexecution.ToolOutputParameter

- All Implemented Interfaces:
    IDynamicObject, IToolOutputParameter, IToolParameter
  Direct Known Subclasses:
    FileOutputParameter, PropertyOutputParameter

      public class ToolOutputParameter
      extends AbstractToolParameter
      implements IToolOutputParameter

  Standard implementation of `IToolOutputParameter`.
  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolOutputParameter(IModeledToolOutputParameter pModeledOutputParameter, java.lang.Object pValue)` Creates an output parameter with a value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RToolOutParameter` | `getModelObject()` Gets the model object.
    `java.lang.Object` | `getValue()` The value returned by the tool.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.microfocus.awm.control.toolexecution.internal.AbstractToolParameter

      `getAttributes, getTargetID, isMassProcessingParameter`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IToolOutputParameter

      `getTargetID`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IToolParameter

      `isMassProcessingParameter`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IDynamicObject

      `getAttributes, getAttributeValue, getComplexAttributes`

- - ### Constructor Detail

    - #### ToolOutputParameter

          public ToolOutputParameter(IModeledToolOutputParameter pModeledOutputParameter,
                                     java.lang.Object pValue)

      Creates an output parameter with a value.
      Parameters:
        `pModeledOutputParameter` - the modeled tool output parameter
        `pValue` - the parameter value

  - ### Method Detail

    - #### getModelObject

          public RToolOutParameter getModelObject()

      Description copied from interface: `IDynamicObject`
      Gets the model object.
      Specified by:
        `getModelObject` in interface `IDynamicObject`
      Specified by:
        `getModelObject` in interface `IToolOutputParameter`
      Specified by:
        `getModelObject` in interface `IToolParameter`
      Overrides:
        `getModelObject` in class `AbstractToolParameter`
      Returns:
        the model object

    - #### getValue

          public java.lang.Object getValue()

      Description copied from interface: `IToolOutputParameter`
      The value returned by the tool.
      Specified by:
        `getValue` in interface `IToolOutputParameter`
      Returns:
        the output parameter value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2015 Micro Focus GmbH. All rights reserved.